import * as React from "react";
export { AttachStore };
/**
 * Attaches the full store to the passed Compoment
 * TODO: Change Component type to React.ComponentClass<any, any> causes errors on getDerivedStateFromProps
 * @param Component React Component to attach
 */
declare function AttachStore<Props>(Component: any): (props: Props) => React.ReactElement<Props> | null;
